Last Comment Bug 721506 - Aero theme: Message summary toolbar looks crappy
: Aero theme: Message summary toolbar looks crappy
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Message Reader UI (show other bugs)
: unspecified
: x86_64 Windows 7
: -- normal (vote)
: Thunderbird 13.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-26 13:25 PST by Siddharth Agarwal [:sid0] (inactive)
Modified: 2012-02-28 10:27 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
screenshot (5.20 KB, image/png)
2012-01-26 13:25 PST, Siddharth Agarwal [:sid0] (inactive)
no flags Details
patch for inline-toolbar (checked in) (664 bytes, patch)
2012-01-27 14:42 PST, Richard Marti (:Paenglab)
bwinton: review+
bwinton: ui‑review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Review
Additional patch for XP (354 bytes, patch)
2012-02-24 23:56 PST, Richard Marti (:Paenglab)
squibblyflabbetydoo: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Review

Description Siddharth Agarwal [:sid0] (inactive) 2012-01-26 13:25:51 PST
Created attachment 591918 [details]
screenshot

1. The message summary toolbar looks a bit too transparent.
2. There's an extra line on top that really shouldn't be there.
Comment 1 Jim Porter (:squib) 2012-01-26 14:56:04 PST
We could probably fold this into bug 690241, where andreasn suggests making the background of the summary gray (so the toolbar buttons would look the same as they do in the single message view).
Comment 2 Richard Marti (:Paenglab) 2012-01-26 22:00:33 PST
(In reply to Jim Porter (:squib) from comment #1)
> We could probably fold this into bug 690241, where andreasn suggests making
> the background of the summary gray (so the toolbar buttons would look the
> same as they do in the single message view).

Would it be okay when I address in this bug only the border of the inline-toolbar? Such a border, but on bottom, appears also on Win7 under Classic at the header-toolbar and attachment-toolbar.
Comment 3 Richard Marti (:Paenglab) 2012-01-27 14:42:53 PST
Created attachment 592281 [details] [diff] [review]
patch for inline-toolbar (checked in)

Assuming the background color is made in bug 690241, this patch removes the top border in multi message view and under Vista/Win7 under Classic the bottom borders of the header-view-toolbar and attachment-view-toolbar.
Comment 4 Blake Winton (:bwinton) (:☕️) 2012-02-13 14:20:06 PST
Comment on attachment 592281 [details] [diff] [review]
patch for inline-toolbar (checked in)

Review of attachment 592281 [details] [diff] [review]:
-----------------------------------------------------------------

Hey Richard, sorry it's taken so log to get around to this.

I don't have my Windows box here, so it's going to be another week before I can UI-Review this.

But, the code itself looks good, so r=me in the meantime.

Thanks,
Blake.
Comment 5 Blake Winton (:bwinton) (:☕️) 2012-02-22 12:39:18 PST
Comment on attachment 592281 [details] [diff] [review]
patch for inline-toolbar (checked in)

Wow, that was painful.  Multiple-blue-screens-of-death and compiler failures later, I've finally taken a look, and it seems pretty good.

ui-r=me.

Thanks,
Blake.
Comment 6 Mark Banner (:standard8) 2012-02-24 02:45:59 PST
Checked in: http://hg.mozilla.org/comm-central/rev/9bcb86fe84f6
Comment 7 Richard Marti (:Paenglab) 2012-02-24 03:06:02 PST
Comment on attachment 592281 [details] [diff] [review]
patch for inline-toolbar (checked in)

Should this go into aurora/beta? It's just a minor CSS change to clean things up visually. It's about as low-risk as it gets.
Comment 8 Jim Porter (:squib) 2012-02-24 19:11:13 PST
This seems to be happening on XP too. We should probably fix it there as well.
Comment 9 Richard Marti (:Paenglab) 2012-02-24 23:31:10 PST
It should be fixed on XP too. Do I overlooked something?
Comment 10 Jim Porter (:squib) 2012-02-24 23:43:37 PST
There's a bottom border on all the inline toolbars for me.
Comment 11 Richard Marti (:Paenglab) 2012-02-24 23:56:18 PST
Created attachment 600628 [details] [diff] [review]
Additional patch for XP

Sh.. you're right. When I look closely on my old XP monitor I see the border. Is it okay when I give the review to you for the one liner?
Comment 12 Jim Porter (:squib) 2012-02-24 23:58:01 PST
Comment on attachment 600628 [details] [diff] [review]
Additional patch for XP

Looks good to me (granted, I tested it with a monkey patch).
Comment 13 Richard Marti (:Paenglab) 2012-02-25 00:00:38 PST
Comment on attachment 600628 [details] [diff] [review]
Additional patch for XP

If the previous patch gets approval then this additional patch should also gets it.
Comment 14 Ryan VanderMeulen [:RyanVM] 2012-02-26 12:33:26 PST
http://hg.mozilla.org/comm-central/rev/ea066a252af3

To make life easier for those checking in patches for you, please follow the directions below to make future patches easier to work with. Thanks!
https://developer.mozilla.org/en/Mercurial_FAQ#How_can_I_generate_a_patch_for_somebody_else_to_check-in_for_me.3F
Comment 16 Mark Banner (:standard8) 2012-02-28 10:27:27 PST
I forgot to land the first patch on branches as well, so I've just done that:

http://hg.mozilla.org/releases/comm-aurora/rev/5c44d1dfbace
http://hg.mozilla.org/releases/comm-beta/rev/265e8da69008

Please can someone verify all the changes are correct. Thanks.

Note You need to log in before you can comment on or make changes to this bug.